# Ant User Manual

## AntCall

### Description

Call another target within the same build-file optionally specifying some properties (param's in this context)

### Parameters

Attribute | Description | Required
target | The target to execute. | Yes

### Parameters specified as nested elements

#### param

Specifies the properties to set before running the specified target. See property for usage guidelines.

### Examples

      <target name="default">
        <antcall target="doSomethingElse">
          <param name="param1" value="value"/>
        </antcall>
      </target>

      <target name="doSomethingElse">
        <echo message="param1=${param1}"/>
      </target>

Will run the target 'doSomethingElse' and echo 'param1=value'.

Copyright © 2000,2001 Apache Software Foundation. All rights Reserved.